/*
 * cdldefs.H
 *
 *    Here, we just put some common definitions.
 *
 * cdldefs.H,v 1.4 1994/04/07 19:30:54 gjb Exp
 */

    /*********************************************************************
    Copyright (C) 1993 by Citibank, N.A., all rights reserved.

    Permission to use, copy, modify and distribute this software and its 
    documentation for any purpose and without fee, except possible 
    redistribution costs, is hereby granted, provided that (1) the above 
    copyright notice appears in all copies and (2) both that copyright-
    notice and this permission-notice appear in supporting documentation and 
    (3) the name of Citibank, N.A. is not used in advertising or publicity 
    pertaining to distribution of the software without specific and written 
    prior permission of Citibank, N.A.

    The Software is provided "as is."  Citibank, N.A. disclaims all 
    warranties, express or implied, including but not limited to warranties 
    of suitability, merchantability and fitness for any purpose.  In no 
    event shall Citibank, N.A. be responsible for any loss of use, data or 
    profit or for any other special, indirect, incidental or consequential 
    damages, neither in an action of contract nor in an action of tort, 
    arising out of or in connection with the use or performance of this 
    software.
    *********************************************************************/


#ifndef CDL_DEFS_H
#define CDL_DEFS_H

#ifdef __cplusplus

extern "C"
{
#include <pthread.h>
}
#include <iostream.h>
#  include <objdce/error.H>
extern CatReport CDLReport;
extern int CDLReportRefCount;
extern "C" void CDLFirstInit();
#else
extern void CDLFirstInit();

#endif

#ifndef CDL_DEFINED_BOOLEAN
typedef int Boolean;
#  define CDL_DEFINED_BOOLEAN
#  ifndef true
#    define true 1
#    define false 0
#  endif
#endif

#if !defined(__cplusplus) && !defined(__STDC__)
#  define const
#endif

#ifndef NIL_WAS_DEFINED
#  ifdef __cplusplus
     static const int nil = 0;
#  else
#    define nil 0
#  endif
#  define NIL_WAS_DEFINED
#endif

#ifndef _EXPORT
#  ifdef DOS
#    ifdef __DLL__
#       define _EXPORT _export
#    else
#       define _EXPORT _CLASSTYPE
#    endif
#  else
#    define _EXPORT
#  endif	
#endif

#endif
