/*
 * CDLFileBase
 *
 *    All file classes used by CDL should inherit from this class. Here,
 * we implement functions for things like ACL management that all the
 * server subclasses we write will share.
 *
 * cdlfilebase.H,v 1.3 1994/02/01 22:27:02 gjb Exp
 */

    /*********************************************************************
    Copyright (C) 1993 by Citibank, N.A., all rights reserved.

    Permission to use, copy, modify and distribute this software and its 
    documentation for any purpose and without fee, except possible 
    redistribution costs, is hereby granted, provided that (1) the above 
    copyright notice appears in all copies and (2) both that copyright-
    notice and this permission-notice appear in supporting documentation and 
    (3) the name of Citibank, N.A. is not used in advertising or publicity 
    pertaining to distribution of the software without specific and written 
    prior permission of Citibank, N.A.

    The Software is provided "as is."  Citibank, N.A. disclaims all 
    warranties, express or implied, including but not limited to warranties 
    of suitability, merchantability and fitness for any purpose.  In no 
    event shall Citibank, N.A. be responsible for any loss of use, data or 
    profit or for any other special, indirect, incidental or consequential 
    damages, neither in an action of contract nor in an action of tort, 
    arising out of or in connection with the use or performance of this 
    software.
    *********************************************************************/

#ifndef CDL_FILE_BASE_H
#define CDL_FILE_BASE_H

class CDLFileBase

{
protected:
  CDLFileBase();
public:
  virtual ~CDLFileBase();
};

#endif
