/*
 * params.H: Parameters for the whole TPC system
 *
 * params.H,v 1.1 1993/08/09 21:42:10 gjb Exp
 */

#ifndef SIM_TPC_PARAMS_H
#define SIM_TPC_PARAMS_H

extern const long AccountsPerBranch;
extern const long NumAccounts;
extern const long NumTellers;
extern const long TellersPerBranch;
extern const long NumBranches;
extern const long InitialAccount;
extern const long InitialTeller;
extern const long InitialBranch;
extern const char* const AccountFile;
extern const char* const TellerFile;
extern const char* const BranchFile;
extern const long SleepTime;

int ScanRandoms(int numThreads);
double GetRandom(int threadNo);

#endif
