    /*********************************************************************
    Copyright (C) 1993 by Citibank, N.A., all rights reserved.

    Permission to use, copy, modify and distribute this software and its 
    documentation for any purpose and without fee, except possible 
    redistribution costs, is hereby granted, provided that (1) the above 
    copyright notice appears in all copies and (2) both that copyright-
    notice and this permission-notice appear in supporting documentation and 
    (3) the name of Citibank, N.A. is not used in advertising or publicity 
    pertaining to distribution of the software without specific and written 
    prior permission of Citibank, N.A.

    The Software is provided "as is."  Citibank, N.A. disclaims all 
    warranties, express or implied, including but not limited to warranties 
    of suitability, merchantability and fitness for any purpose.  In no 
    event shall Citibank, N.A. be responsible for any loss of use, data or 
    profit or for any other special, indirect, incidental or consequential 
    damages, neither in an action of contract nor in an action of tort, 
    arising out of or in connection with the use or performance of this 
    software.
    *********************************************************************/


#ifndef RFSUTILDEFINED
#define RFSUTILDEFINED

extern "C"
{
#include <pthread.h>
}
#include <iostream.h>
#include <String.h>
extern "C"  {
#include <rqs/rqs.h>
    }

const char * const FieldTypeToString(const rqs_fieldType_t * i);

ostream & operator <<(ostream &o, const rqs_recordFieldSpec_t & rfs);

rqs_recordFieldSpec_t & Assign(rqs_recordFieldSpec_t & p0, 
			       const String & fn, 
			       const rqs_fieldType_t & ft, 
			       const unsigned long & fs, 
			       const String & cl);

rqs_recordFieldSpec_t & Assign(rqs_recordFieldSpec_t & p0, 
			       const rqs_recordFieldSpec_t & p1);

rqs_recordFieldSpec_t & Destroy(rqs_recordFieldSpec_t & p0);
#endif
