/*
 * cdlbasedefs.C
 *
 *    Constants used by all CDL libraries (right now, SFS and RQS)\
 * can go here.
 *
 * cdlbasedefs.C,v 1.1 1994/04/19 19:19:32 gjb Exp
 */

    /*********************************************************************
    Copyright (C) 1993-1994 by Citibank, N.A., all rights reserved.

    Permission to use, copy, modify and distribute this software and its 
    documentation for any purpose and without fee, except possible 
    redistribution costs, is hereby granted, provided that (1) the above 
    copyright notice appears in all copies and (2) both that copyright-
    notice and this permission-notice appear in supporting documentation and 
    (3) the name of Citibank, N.A. is not used in advertising or publicity 
    pertaining to distribution of the software without specific and written 
    prior permission of Citibank, N.A.

    The Software is provided "as is."  Citibank, N.A. disclaims all 
    warranties, express or implied, including but not limited to warranties 
    of suitability, merchantability and fitness for any purpose.  In no 
    event shall Citibank, N.A. be responsible for any loss of use, data or 
    profit or for any other special, indirect, incidental or consequential 
    damages, neither in an action of contract nor in an action of tort, 
    arising out of or in connection with the use or performance of this 
    software.
    *********************************************************************/

#include <cdl/cdlbasedefs.H>

const int CDLId = -3;		/* An objtran application ID */
/* SFS file opening modes */
const int CDL_EXCLUSIVE_OPEN = 0x0001;
const int CDL_NONTRANSACTIONAL_OPEN = 0x0002;
const int CDL_LONG_TIMEOUTS = 0x0004;

