/*
 * Here are the values of the constants defined in cdlsuffixes.H.
 *
 * cdlsuffixes.C,v 1.4 1994/04/07 19:26:23 gjb Exp
 */

    /*********************************************************************
    Copyright (C) 1993 by Citibank, N.A., all rights reserved.

    Permission to use, copy, modify and distribute this software and its 
    documentation for any purpose and without fee, except possible 
    redistribution costs, is hereby granted, provided that (1) the above 
    copyright notice appears in all copies and (2) both that copyright-
    notice and this permission-notice appear in supporting documentation and 
    (3) the name of Citibank, N.A. is not used in advertising or publicity 
    pertaining to distribution of the software without specific and written 
    prior permission of Citibank, N.A.

    The Software is provided "as is."  Citibank, N.A. disclaims all 
    warranties, express or implied, including but not limited to warranties 
    of suitability, merchantability and fitness for any purpose.  In no 
    event shall Citibank, N.A. be responsible for any loss of use, data or 
    profit or for any other special, indirect, incidental or consequential 
    damages, neither in an action of contract nor in an action of tort, 
    arising out of or in connection with the use or performance of this 
    software.
    *********************************************************************/


#include <cdlsuffixes.H>

const char* const CDLIdlFileSuffix = "_cdl_idl.idl";
const char* const CDLNidlFileSuffix = "_cdl_nidl.nidl";
const char* const CDLAcfFileSuffix = "_cdl_idl.acf";
const char* const CDLIdlHeaderSuffix = "_cdl_idl.h";
const char* const CDLNidlHeaderSuffix = "_cdl_nidl.h";
const char* const CDLIdlInterfaceSuffix = "_I";
const unsigned int CDLIdlInterfaceMaxLen = 17;		// Enforced by IDL
const char* const CDLIdlRecordSuffix = "Base";
const char* const CDLIdlArraySuffix = "Array";
const char* const CDLCppSourceSuffix = "_cdl.C";
const char* const CDLCppHeaderSuffix = "_cdl.H";
const char* const CDLHeaderIfdefSuffix = "_CDL_H_WAS_INCLUDED";
const char* const CDLCppIdlRecordName = "base";
const char* const CDLByteArrayLengthSuffix = "_length";

const char* const CDLDCEIncludes = "/opt/dcelocal/share/include/";
const char* const CDLDCEIncludeCmd = "-I/opt/dcelocal/share/include";
const char* const CDLIdlSearchPath = "/opt/dcelocal/bin:/opt/dce/bin:/usr/bin:/bin";
const char* const CDLCppSearchPath = "/usr/ccs/lib:/usr/lib:/lib";
const char* const CDLDefaultTmp = "/tmp";
