#include <String.h>
#include <RqsTest_cdl.H>
#include <RqsTest_cdl_rqs.H>

class Sample
    {
 public: 
       Sample() {server = "/.:/encina/rqs/test2";}
       void Comments(char* str);
       void Queue_name(int i);      
       void Fill_rec();
       void Create_type();
       void Create_queue();
       void Create_queueset(); 
       void Add_queue();
       void Change_prior();
       void RemovePriorities();
       void Inf_Serv_Level();
       void SetServLevels();
       void Remove_Queue();
       void Enqueue();
       void Dequeue();
       void Cursor();
       void Element_Read(YQelementID ,YQbase::ElementLockMode ,Boolean ,int);
       void Element_Modify(int);
       void Element_Delete();
       void Key_Read();
       void Keys_Read();
 protected:
       char text[80];
       String response;
       String server;
       rqsTest_YQqueueset* mySet;
       rqsTest_YQqueue* q;
       rqsTest_YQcursor *myCursor;
       List<YQelementID> leid;
      };



